-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android/2.1.0 ; xx) AppleWebKit/533.1 Spark/fzz Safari/533.1 Version/4.0 Pre/1.0'
    result: { engine: { name: Webkit, version: '533.1' }, os: { name: webOS, version: 2.1.0 }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: Pre } }
    readable: 'a Palm Pre running webOS 2.1.0'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android/2.1.0 ; xx) AppleWebKit/533.1 Spark/fzz Safari/533.1 Version/4.0 Pre/1.1; Mobile; AppleWebKit/533.1; Android2.3.7; Android; Version/4.0; Safari/533.1'
    result: { engine: { name: Webkit, version: '533.1' }, os: { name: webOS, version: 2.1.0 }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pre Plus' } }
    readable: 'a Palm Pre Plus running webOS 2.1.0'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android/2.1.0 ; xx) AppleWebKit/533.1 Spark/fzz Safari/533.1 Version/4.0 Pre/1.2'
    result: { engine: { name: Webkit, version: '533.1' }, os: { name: webOS, version: 2.1.0 }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pre 2' } }
    readable: 'a Palm Pre 2 running webOS 2.1.0'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android/2.1.0 ; xx) AppleWebKit/533.1 elite/fzz Safari/533.1 Version/4.0 Pre/1.0'
    result: { engine: { name: Webkit, version: '533.1' }, os: { name: webOS, version: 2.1.0 }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: Pre } }
    readable: 'a Palm Pre running webOS 2.1.0'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android/2.1.0 ; xx) AppleWebKit/533.1 elite/fzz Safari/533.1 Version/4.0 Pre/1.1'
    result: { engine: { name: Webkit, version: '533.1' }, os: { name: webOS, version: 2.1.0 }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pre Plus' } }
    readable: 'a Palm Pre Plus running webOS 2.1.0'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android/2.1.0 ; xx) AppleWebKit/533.1 elite/fzz Safari/533.1 Version/4.0 Pre/1.2'
    result: { engine: { name: Webkit, version: '533.1' }, os: { name: webOS, version: 2.1.0 }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pre 2' } }
    readable: 'a Palm Pre 2 running webOS 2.1.0'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android/2.1.0 ; xx) AppleWebKit/533.1 elite/fzz Safari/533.1 Version/4.0 Pre/1.2'
    result: { engine: { name: Webkit, version: '533.1' }, os: { name: webOS, version: 2.1.0 }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pre 2' } }
    readable: 'a Palm Pre 2 running webOS 2.1.0'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android/2.1.2 ; xx) AppleWebKit/533.1 elite/fzz Safari/533.1 Version/4.0 P160U/1.0'
    result: { engine: { name: Webkit, version: '533.1' }, os: { name: webOS, version: 2.1.2 }, device: { type: mobile, subtype: smart, manufacturer: HP, model: Veer } }
    readable: 'a HP Veer running webOS 2.1.2'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android/2.1.2 ; xx) AppleWebKit/533.1 elite/fzz Safari/533.1 Version/4.0 P160UNA/1.0'
    result: { engine: { name: Webkit, version: '533.1' }, os: { name: webOS, version: 2.1.2 }, device: { type: mobile, subtype: smart, manufacturer: HP, model: Veer } }
    readable: 'a HP Veer running webOS 2.1.2'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android/2.1.2 ; xx) AppleWebKit/533.1 elite/fzz Safari/533.1 Version/4.0 Pre/1.2'
    result: { engine: { name: Webkit, version: '533.1' }, os: { name: webOS, version: 2.1.2 }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pre 2' } }
    readable: 'a Palm Pre 2 running webOS 2.1.2'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U;Android/2.2.4 ; xx) AppleWebKit/534.6 xsdmz webOSBrowser/221.56 Safari/534.6 Version/4.0 Pre/1.2'
    result: { engine: { name: Webkit, version: '534.6' }, os: { name: webOS, version: 2.2.4 }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pre 2' } }
    readable: 'a Palm Pre 2 running webOS 2.2.4'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; webOS/2.2.0; U; xx) AppleWebKit/534.6 (KHTML, like Gecko) webOSBrowser/221.54 Safari/534.6 Pre/3.0'
    result: { engine: { name: Webkit, version: '534.6' }, os: { name: webOS, version: '2.2.0' }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pre 3' } }
    readable: 'a Palm Pre 3 running webOS 2.2.0'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; webOS/2.2.4; U; xx) AppleWebKit/534.6 (KHTML, like Gecko) webOSBrowser/221.56 Safari/534.6 P160UNA/1.0'
    result: { engine: { name: Webkit, version: '534.6' }, os: { name: webOS, version: '2.2.4' }, device: { type: mobile, subtype: smart, manufacturer: HP, model: Veer } }
    readable: 'a HP Veer running webOS 2.2.4'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; webOS/2.2.4; U; xx) AppleWebKit/534.6 (KHTML, like Gecko) webOSBrowser/221.56 Safari/534.6 Pre/1.2'
    result: { engine: { name: Webkit, version: '534.6' }, os: { name: webOS, version: '2.2.4' }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pre 2' } }
    readable: 'a Palm Pre 2 running webOS 2.2.4'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; webOS/2.2.4; U; xx) AppleWebKit/534.6 (KHTML, like Gecko) webOSBrowser/221.56 Safari/534.6 Pre/3.0'
    result: { engine: { name: Webkit, version: '534.6' }, os: { name: webOS, version: '2.2.4' }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pre 3' } }
    readable: 'a Palm Pre 3 running webOS 2.2.4'
-
    headers: 'User-Agent: Mozilla/5.0 (hp-desktop; Linux; hpwOS/2.0; U; xx) AppleWebKit/534.6 (KHTML, like Gecko) wOSBrowser/234.83 Safari/534.6 Desktop/1.0'
    result: { browser: { name: 'webOS Browser', type: browser }, engine: { name: Webkit, version: '534.6' }, os: { name: webOS, version: '2.0' }, device: { type: emulator } }
    readable: 'webOS Browser on an emulator running webOS 2.0'
-
    headers: 'User-Agent: Mozilla/5.0 (iPhone; U; xx)(webOS/2.1.0; U; xx) AppleWebKit/532.2 Version/1.0 Safari/532.2 Pre/1.0 -CET'
    result: { engine: { name: Webkit, version: '532.2' }, os: { name: webOS, version: '2.1.0' }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: Pre } }
    readable: 'a Palm Pre running webOS 2.1.0'
-
    headers: 'User-Agent: Mozilla/5.0 (webOS/1.0; U; xx) AppleWebKit/525.27.1 (KHTML, like Gecko) Version/1.0 Safari/525.27.1 Pre/1.0'
    result: { engine: { name: Webkit, version: 525.27.1 }, os: { name: webOS, version: '1.0' }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: Pre } }
    readable: 'a Palm Pre running webOS 1.0'
-
    headers: 'User-Agent: Mozilla/5.0 (webOS/1.4.0; U; xx) AppleWebKit/532.2 (KHTML, like Gecko) Version/1.0 Safari/532.2 Pre/1.0'
    result: { engine: { name: Webkit, version: '532.2' }, os: { name: webOS, version: '1.4.0' }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: Pre } }
    readable: 'a Palm Pre running webOS 1.4.0'
-
    headers: 'User-Agent: Mozilla/5.0 (webOS/1.4.5.1; U; xx) AppleWebKit/532.2 (KHTML, like Gecko) Version/1.0 Safari/532.2 Pixi/1.1'
    result: { engine: { name: Webkit, version: '532.2' }, os: { name: webOS, version: '1.4.5.1' }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pixi Plus' } }
    readable: 'a Palm Pixi Plus running webOS 1.4.5.1'
-
    headers: 'User-Agent: Mozilla/5.0 (webOS/1.4.5.1; U; xx) AppleWebKit/532.2 (KHTML, like Gecko) Version/1.0 Safari/532.2 Pre/1.1'
    result: { engine: { name: Webkit, version: '532.2' }, os: { name: webOS, version: '1.4.5.1' }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pre Plus' } }
    readable: 'a Palm Pre Plus running webOS 1.4.5.1'
-
    headers: 'User-Agent: Mozilla/5.0 (webOS/1.4.5; U; xx) AppleWebKit/532.2 (KHTML, like Gecko) Version/1.0 Safari/532.2 Pixi/1.0'
    result: { engine: { name: Webkit, version: '532.2' }, os: { name: webOS, version: '1.4.5' }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: Pixi } }
    readable: 'a Palm Pixi running webOS 1.4.5'
-
    headers: 'User-Agent: Mozilla/5.0 (webOS/1.4.5; U; xx) AppleWebKit/532.2 (KHTML, like Gecko) Version/1.0 Safari/532.2 Pixi/1.1'
    result: { engine: { name: Webkit, version: '532.2' }, os: { name: webOS, version: '1.4.5' }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pixi Plus' } }
    readable: 'a Palm Pixi Plus running webOS 1.4.5'
-
    headers: 'User-Agent: Mozilla/5.0 (webOS/1.4.5; U; xx) AppleWebKit/532.2 (KHTML, like Gecko) Version/1.0 Safari/532.2 Pre/1.0'
    result: { engine: { name: Webkit, version: '532.2' }, os: { name: webOS, version: '1.4.5' }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: Pre } }
    readable: 'a Palm Pre running webOS 1.4.5'
-
    headers: 'User-Agent: Mozilla/5.0 (webOS/1.4.5; U; xx) AppleWebKit/532.2 (KHTML, like Gecko) Version/1.0 Safari/532.2 Pre/1.1'
    result: { engine: { name: Webkit, version: '532.2' }, os: { name: webOS, version: '1.4.5' }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pre Plus' } }
    readable: 'a Palm Pre Plus running webOS 1.4.5'
-
    headers: 'User-Agent: Mozilla/5.0 (webOS/2.0.0; U; xx) AppleWebKit/532.2 (KHTML, like Gecko) Version/1.0 Safari/532.2 Pre/1.2'
    result: { engine: { name: Webkit, version: '532.2' }, os: { name: webOS, version: '2.0.0' }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pre 2' } }
    readable: 'a Palm Pre 2 running webOS 2.0.0'
-
    headers: 'User-Agent: Mozilla/5.0 (webOS/2.1.0; U; xx) AppleWebKit/532.2 (KHTML, like Gecko) Version/1.0 Safari/532.2 Pre/1.0'
    result: { engine: { name: Webkit, version: '532.2' }, os: { name: webOS, version: '2.1.0' }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: Pre } }
    readable: 'a Palm Pre running webOS 2.1.0'
-
    headers: 'User-Agent: Mozilla/5.0 (webOS/2.1.0; U; xx) AppleWebKit/532.2 (KHTML, like Gecko) Version/1.0 Safari/532.2 Pre/1.1'
    result: { engine: { name: Webkit, version: '532.2' }, os: { name: webOS, version: '2.1.0' }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pre Plus' } }
    readable: 'a Palm Pre Plus running webOS 2.1.0'
-
    headers: 'User-Agent: Mozilla/5.0 (webOS/2.1.0; U; xx) AppleWebKit/532.2 (KHTML, like Gecko) Version/1.0 Safari/532.2 Pre/1.2'
    result: { engine: { name: Webkit, version: '532.2' }, os: { name: webOS, version: '2.1.0' }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pre 2' } }
    readable: 'a Palm Pre 2 running webOS 2.1.0'
-
    headers: 'User-Agent: Mozilla/5.0 (webOS/2.1.1; U; xx) AppleWebKit/532.2 (KHTML, like Gecko) Version/1.0 Safari/532.2 P160U/1.0'
    result: { engine: { name: Webkit, version: '532.2' }, os: { name: webOS, version: '2.1.1' }, device: { type: mobile, subtype: smart, manufacturer: HP, model: Veer } }
    readable: 'a HP Veer running webOS 2.1.1'
-
    headers: 'User-Agent: Mozilla/5.0 (webOS/2.1.2; U; xx) AppleWebKit/532.2 (KHTML, like Gecko) Version/1.0 Safari/532.2 P160U/1.0'
    result: { engine: { name: Webkit, version: '532.2' }, os: { name: webOS, version: '2.1.2' }, device: { type: mobile, subtype: smart, manufacturer: HP, model: Veer } }
    readable: 'a HP Veer running webOS 2.1.2'
-
    headers: 'User-Agent: Mozilla/5.0 (webOS/2.1.2; U; xx) AppleWebKit/532.2 (KHTML, like Gecko) Version/1.0 Safari/532.2 P160UNA/1.0'
    result: { engine: { name: Webkit, version: '532.2' }, os: { name: webOS, version: '2.1.2' }, device: { type: mobile, subtype: smart, manufacturer: HP, model: Veer } }
    readable: 'a HP Veer running webOS 2.1.2'
-
    headers: 'User-Agent: Mozilla/5.0 (webOS/HP webOS 2.1.0; U; xx) AppleWebKit/532.2 (KHTML, like Gecko) Version/1.0 Safari/532.2 Pixi/1.1'
    result: { engine: { name: Webkit, version: '532.2' }, os: { name: webOS, version: '2.1.0' }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pixi Plus' } }
    readable: 'a Palm Pixi Plus running webOS 2.1.0'
-
    headers: 'User-Agent: Mozilla/5.0 (webOS/HP webOS 2.1.2; U; xx) AppleWebKit/532.2 (KHTML, like Gecko) Version/1.0 Safari/532.2 Pixi/1.1'
    result: { engine: { name: Webkit, version: '532.2' }, os: { name: webOS, version: '2.1.2' }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pixi Plus' } }
    readable: 'a Palm Pixi Plus running webOS 2.1.2'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; en-US) AppleWebKit/532.2 Version/1.0 Safari/532.2 Pixi/1.1'
    readable: 'a Palm Pixi Plus running webOS'
    result: { engine: { name: Webkit, version: '532.2' }, os: { name: webOS }, device: { type: mobile, subtype: smart, manufacturer: Palm, model: 'Pixi Plus' } }
